cpts {bnstruct} | R Documentation

## get the list of conditional probability tables of a `BN`.

### Description

Return the list of conditional probability tables of the variables of a `BN` object. Each probability table is associated to the corresponding variable, and its dimensions are named according to the variable they represent.

### Usage

    cpts(x)

    ## S4 method for signature 'BN'
    cpts(x)

### Arguments

`x` | an object.

### Details

Each conditional probability table is represented as a multidimensional array. The ordering of the dimensions of each variable is not guaranteed to follow the actual conditional distribution. E.g. dimensions for conditional probability `P(C|A,B)` can be either `(C,A,B)` or `(A,B,C)`, depending on if some operations have been performed, or how the probability table has been computed. Users should not rely on dimension numbers, but should instead select the dimensions using their names.

### Value

list of the conditional probability tables of the desired object.

[Package bnstruct version 1.0.6 Index]